| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
fsdk::ResultValue< R, V, Enable > Struct Template Reference

Addon for Result to output some value aside the result. Specialization for copiable types. More...

`#include <ResultValue.h>`

Inheritance diagram for fsdk::ResultValue< R, V, Enable >:

## Additional Inherited Members
Public Types inherited from fsdk::Result< R >
using | ErrorType = R
| Result value enumeration type.
using | Traits = ErrorTraits< R >
Public Member Functions inherited from fsdk::Result< R >
| Result (Rerror) noexcept
| Initializes result. More...
| Result () noexcept
| Initializes result by default.
R | getError () const noexcept
| Gets actual result value. More...
bool | isError () const noexcept
| Checks for an error. More...
bool | isOk () const noexcept
| Checks for a success. More...
| operator bool () const noexcept
| Checks for a success. More...
| operator int () const noexcept=delete
| Values of type bool participate in integral promotions. A prvalue of type bool can be converted to a prvalue of type int, with false becoming zero and true becoming one. This overload prevents the bool() operator above from participating in dangerous implicit conversion chains such as bool->int, bool->int->float, bool->int->double.
const char * | what () const noexcept
| Gets a textual description of the result. More...

## Detailed Description

### template<typename R, typename V, class Enable = void>
struct fsdk::ResultValue< R, V, Enable >

Addon for Result to output some value aside the result. Specialization for copiable types.

Template Parameters

  R | result enumeration type.
  V | result value type.

Note
  All rules for Result template parameter aplly to R.
  V instance is always held by value despite -> operators.

The documentation for this struct was generated from the following file:

- include/fsdk/Types/ResultValue.h